Bug 200152 - Review Request: perl-POE-Component-Client-LDAP
Review Request: perl-POE-Component-Client-LDAP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 200151
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-25 14:46 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 00:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-25 14:46:33 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-POE-Component-Client-LDAP.spec
SRPM URL:
http://home.comcast.net/~ckweyl/perl-POE-Component-Client-LDAP-0.04-1.fc5.src.rpm

Description: 
POE::Component::Client::LDAP->new() starts up a new POE::Session and
POE::Wheel to manage socket communications for an underlying Net::LDAP
object, allowing it to be used in async mode properly within a POE program.
Comment 1 Jason Tibbitts 2006-07-27 21:08:04 EDT
Not much to say here either; builds and installs fine and rpmlint is quiet.

* source files match upstream:
   5a52805b889af864622158d761b72f82  POE-Component-Client-LDAP-0.04.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper (BR: perl is unnecessary)
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(POE::Component::Client::LDAP) = 0.04
   perl(POE::Filter::ASN1) = 0.01
   perl-POE-Component-Client-LDAP = 0.04-1.fc6
  =
   perl >= 0:5.006
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Convert::ASN1)
   perl(Net::LDAP::ASN)
   perl(Net::LDAP::Constant)
   perl(POE)
   perl(base)
   perl(strict)
   perl(warnings)
* %check is present and all tests (test?) pass:
   All tests successful.
   Files=1, Tests=1,  0 wallclock secs ( 0.14 cusr +  0.05 csys =  0.19 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED
Comment 2 Chris Weyl 2006-07-28 00:20:43 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.